devguard
Vendor evidenceId

Update a vendor evidence record.

PATCH
/vendor-evidence/{id}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/vendor-evidence/497f6eca-6276-4993-bfeb-53cbbbba6f08/" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "organizationId": "string",
  "vendorId": "string",
  "kind": "SOC2",
  "title": "string",
  "issuedAt": "string",
  "expiresAt": "string",
  "filename": "string",
  "originalName": "string",
  "mimeType": "string",
  "size": -9007199254740991,
  "s3Key": "string",
  "s3Bucket": "string",
  "uploadedBy": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?